Subject: bug#8785: closed (Re: bug#8785: 24.0.50; progress-reporter shows percentage with no space)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jun 2011 14:35:01 +0000

Your bug report

#8785: 24.0.50; progress-reporter shows percentage with no space

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8785
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8785: 24.0.50; progress-reporter shows percentage with no space
From: Stefan Monnier <[email-masked]>
To: Katsumi Yamaoka <[email-masked]>
Cc: [email-masked]
Date: Thu, 02 Jun 2011 11:34:47 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> should be fixed `progress-reporter-do-update', or should every
>> program that uses `make-progress-reporter' add SPC to the first
>> argument?

> I'd tend to say "better fix it in make-progress-reporter", but it might
> be too late to change it.

I felt optimistic, so I'm going to install the patch below (as soon as
bzr.sv.gnu.org comes back to life),

        Stefan

=== modified file 'lisp/subr.el'
--- lisp/subr.el	2011-06-01 14:19:45 +0000
+++ lisp/subr.el	2011-06-02 14:31:56 +0000
@@ -3702,6 +3702,8 @@
 `float-time' is not present, time is not tracked at all.  If the
 OS is not capable of measuring fractions of seconds, this
 parameter is effectively rounded up."
+  (when (string-match "[[:alnum:]]\\'" message)
+    (setq message (concat message "...")))
   (unless min-time
     (setq min-time 0.2))
   (let ((reporter

Subject: 24.0.50; progress-reporter shows percentage with no space
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jun 2011 19:36:48 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

When I send a big mail using smtpmail, I get:

Sending email
Sending email12%
Sending email85%
Sending email87%
Sending email90%
Sending email92%
Sending email95%
Sending email97%
Sending emaildone

SPC is needed between text and percentage, I think.  Is what
should be fixed `progress-reporter-do-update', or should every
program that uses `make-progress-reporter' add SPC to the first
argument?